ExternalCall (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.ipc, class: ExternalCall

Package org.apache.hadoop.ipc

# Class ExternalCall<T>

java.lang.Object
org.apache.hadoop.ipc.Server.Call
org.apache.hadoop.ipc.ExternalCall<T>

All Implemented Interfaces:
  `PrivilegedExceptionAction<Void>`, `Schedulable`

public abstract class ExternalCall<T> extends Server.Call

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.ipc.Server.Call

  `startHandleTimestampNanos`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExternalCall(PrivilegedExceptionAction<T> action)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final T`
  `get()`
  `String`
  `getDetailedMetricsName()`
  `abstract UserGroupInformation`
  `getRemoteUser()`
  `final Void`
  `run()`

  ### Methods inherited from class org.apache.hadoop.ipc.Server.Call

  `abortResponse, deferResponse, getCallerContext, getClientStateId, getFederatedNamespaceState, getHostAddress, getHostInetAddress, getPriorityLevel, getProcessingDetails, getProtocol, getRemotePort, getStartHandleTimestampNanos, getTimestampNanos, getUserGroupInformation, isCallCoordinated, isResponseDeferred, markCallCoordinated, postponeResponse, sendResponse, setClientStateId, setDeferredError, setDeferredResponse, setFederatedNamespaceState, setPriorityLevel, setStartHandleTimestampNanos, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ExternalCall

    public ExternalCall(PrivilegedExceptionAction<T> action)

- ## Method Details

  - ### getDetailedMetricsName

    public String getDetailedMetricsName()

  - ### getRemoteUser

    public abstract UserGroupInformation getRemoteUser()
    Overrides:
      `getRemoteUser` in class `Server.Call`

  - ### get

    public final T get() throws InterruptedException, ExecutionException
    Throws:
      `InterruptedException`
      `ExecutionException`

  - ### run

    public final Void run() throws IOException
    Specified by:
      `run` in interface `PrivilegedExceptionAction<T>`
    Overrides:
      `run` in class `Server.Call`
    Throws:
      `IOException`